Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Texlive 2016
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
YPenguin
Apprentice
Apprentice


Joined: 26 Apr 2014
Posts: 185
Location: Kenzingen, Germany

PostPosted: Sat Apr 08, 2017 9:57 am    Post subject: Texlive 2016 Reply with quote

Ich habe offenbar ein Problem mit dem Update auf 2016:

[blocks B ] <dev-texlive/texlive-langgerman-2016 ("<dev-texlive/texlive-langgerman-2016" is hard blocking dev-texlive/texlive-basic-2016)
[blocks B ] <dev-texlive/texlive-basic-2016 ("<dev-texlive/texlive-basic-2016" is hard blocking dev-texlive/texlive-basic-2016)
[blocks B ] <dev-texlive/texlive-langenglish-2016 ("<dev-texlive/texlive-langenglish-2016" is hard blocking dev-texlive/texlive-basic-2016)
[blocks B ] <media-libs/speex-1.2.0 ("<media-libs/speex-1.2.0" is blocking media-libs/speexdsp-1.2_rc3)
[blocks B ] <dev-texlive/texlive-latex-2016 ("<dev-texlive/texlive-latex-2016" is blocking dev-texlive/texlive-basic-2016)
[blocks B ] <dev-texlive/texlive-basic-2016 ("<dev-texlive/texlive-basic-2016" is blocking dev-texlive/texlive-langenglish-2016, dev-texlive/texlive-langgerman-2016)
[blocks B ] <dev-texlive/texlive-latex-2016 ("<dev-texlive/texlive-latex-2016" is hard blocking dev-texlive/texlive-latex-2016)

Ich werde nicht recht schlau draus.
<texlive-basic-2016 is blocking texlive-basic-2016?
_________________
Languages: English, German
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3156
Location: Germany

PostPosted: Sat Apr 08, 2017 1:17 pm    Post subject: Reply with quote

Ja, hier wirst du manuell selbst mit eingreifen müssen.
Quote:
[blocks B ] <dev-texlive/texlive-basic-2016 ("<dev-texlive/texlive-basic-2016" is hard blocking dev-texlive/texlive-basic-2016)
Sprich das installieren der neuen 2016er Version wird durch eine ältere/kleinere noch installierte Version durch einen harten Blocker gewollt (wahrscheinlich wegen bekannter Probleme) verhindert.
Hier wirst du die alte noch installierte Version erst selbst deinstallieren müssen, bevor die neuere installiert werden kann.
Zugegeben, gibt es unter Gentoo so nur noch sehr sehr selten.

Vorschlag: Versuche es etwa wie folgt:
Die blockierenden alten Paketversionen deinstallieren:
Code:
emerge -av --unmerge texlive-langgerman texlive-basic texlive-langenglish texlive-latex

Und dann die neuen Versionen, am besten zusammen mit einem @world Update neu mit installieren lassen:
Code:
emerge -avuDN @world texlive-langgerman texlive-basic texlive-langenglish texlive-latex
Back to top
View user's profile Send private message
YPenguin
Apprentice
Apprentice


Joined: 26 Apr 2014
Posts: 185
Location: Kenzingen, Germany

PostPosted: Tue Apr 11, 2017 7:48 pm    Post subject: Reply with quote

Weiß jemand, was sich an Texlive geändert hat?
_________________
Languages: English, German
Back to top
View user's profile Send private message
YPenguin
Apprentice
Apprentice


Joined: 26 Apr 2014
Posts: 185
Location: Kenzingen, Germany

PostPosted: Wed Apr 12, 2017 8:51 am    Post subject: Maintainer Reply with quote

Im englischen Forum spekulieren sie, dass der Maintainer von Tex nahezu inaktiv oder zumindest unkommunikativ sei.
_________________
Languages: English, German
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3156
Location: Germany

PostPosted: Fri Apr 14, 2017 11:56 am    Post subject: Reply with quote

Hm, darf man fragen woran das Update jetzt noch scheitert?
Back to top
View user's profile Send private message
mv
Watchman
Watchman


Joined: 20 Apr 2005
Posts: 5656

PostPosted: Sat Apr 15, 2017 8:49 am    Post subject: Re: Maintainer Reply with quote

YPenguin wrote:
Im englischen Forum spekulieren sie

Wo genau?

texlive-2016 hat m.W. durch inkompatible luatex-Erweiterungen ziemlich massive Änderungen erfahren. Es gab wohl kaum ein Paket, das luatex-Features nutzt (oder nutzen kann), an dem nicht herumgebastelt werden musste. Die meisten dieser Änderungen sind aber anscheinend nicht direkt für den Endanwender sichtbar: Man stellt wohl nur hie und da einmal einen Bugfix oder neuen Bug fest. Als Gentoo-Benutzer kennt man dieses Phänomen natürlich.
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2237
Location: Konradsreuth (Germany)

PostPosted: Sat Apr 15, 2017 12:58 pm    Post subject: Reply with quote

Nun ja, jetzt ist ja texlive 2016 auch noch als testing markiert – also so ganz ohne Ansage gibt es die Probleme ja nun nicht … ich würde halt mit dem Update einfach warten, bis es stable ist, wenn ich es nicht unbedingt brauche (was ich z. B. nicht tue).
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum